=== debian/changelog ===
ignition-gazebo5 (5.4.0-1~focal) focal; urgency=medium

  * ignition-gazebo5 5.4.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Thu, 31 Mar 2022 16:41:51 -0700

ignition-gazebo5 (5.3.0-2~focal) focal; urgency=medium

  * ignition-gazebo5 5.3.0-2 release

 -- Louise Poubel <louise@openrobotics.org>  Mon, 15 Nov 2021 10:44:57 -0800

ignition-gazebo5 (5.3.0-1~focal) focal; urgency=medium

  * ignition-gazebo5 5.3.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Mon, 15 Nov 2021 09:36:48 -0800

ignition-gazebo5 (5.2.0-1~focal) focal; urgency=medium

  * ignition-gazebo5 5.2.0-1 release

 -- Nate Koenig <nate@openrobotics.org>  Mon, 25 Oct 2021 09:57:10 -0700

ignition-gazebo5 (5.1.0-1~focal) focal; urgency=medium

  * ignition-gazebo5 5.1.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Wed, 30 Jun 2021 06:16:46 -0700

ignition-gazebo5 (5.1.0~pre1-1~focal) focal; urgency=medium

  * ignition-gazebo5 5.1.0~pre1-1 release

 -- Louise Poubel <louise@openrobotics.org>  Tue, 29 Jun 2021 16:57:59 -0700

ignition-gazebo5 (5.0.0-1~focal) focal; urgency=medium

  * ignition-gazebo5 5.0.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Wed, 31 Mar 2021 17:39:43 -0700

ignition-gazebo5 (5.0.0~pre1-2~focal) focal; urgency=medium

  * ignition-gazebo5 5.0.0~pre1-2 release

 -- Louise Poubel <louise@openrobotics.org>  Fri, 26 Mar 2021 14:47:28 -0700

ignition-gazebo5 (5.0.0~pre1-1~focal) focal; urgency=medium

  * ignition-gazebo5 5.0.0~pre1-1 release

 -- Louise Poubel <louise@openrobotics.org>  Fri, 26 Mar 2021 12:01:43 -0700

ignition-gazebo5 (4.999.999-1~focal) focal; urgency=medium

  * Stub to be removed after first entry

 -- Louise Poubel <louise@openrobotics.org>  Wed, 07 Oct 2020 17:32:56 -0700
